// Copyright 2020 Google LLC. All Rights Reserved.
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//    http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

package openapi_v2

import (
	openapiv2 "github.com/google/gnostic-models/openapiv2"
)

type AdditionalPropertiesItem = openapiv2.AdditionalPropertiesItem
type AdditionalPropertiesItem_Schema = openapiv2.AdditionalPropertiesItem_Schema
type AdditionalPropertiesItem_Boolean = openapiv2.AdditionalPropertiesItem_Boolean
type Any = openapiv2.Any
type ApiKeySecurity = openapiv2.ApiKeySecurity
type BasicAuthenticationSecurity = openapiv2.BasicAuthenticationSecurity
type BodyParameter = openapiv2.BodyParameter
type Contact = openapiv2.Contact
type Default = openapiv2.Default
type Definitions = openapiv2.Definitions
type Document = openapiv2.Document
type Examples = openapiv2.Examples
type ExternalDocs = openapiv2.ExternalDocs
type FileSchema = openapiv2.FileSchema
type FormDataParameterSubSchema = openapiv2.FormDataParameterSubSchema
type Header = openapiv2.Header
type HeaderParameterSubSchema = openapiv2.HeaderParameterSubSchema
type Headers = openapiv2.Headers
type Info = openapiv2.Info
type ItemsItem = openapiv2.ItemsItem
type JsonReference = openapiv2.JsonReference
type License = openapiv2.License
type NamedAny = openapiv2.NamedAny
type NamedHeader = openapiv2.NamedHeader
type NamedParameter = openapiv2.NamedParameter
type NamedPathItem = openapiv2.NamedPathItem
type NamedResponse = openapiv2.NamedResponse
type NamedResponseValue = openapiv2.NamedResponseValue
type NamedSchema = openapiv2.NamedSchema
type NamedSecurityDefinitionsItem = openapiv2.NamedSecurityDefinitionsItem
type NamedString = openapiv2.NamedString
type NamedStringArray = openapiv2.NamedStringArray
type NonBodyParameter = openapiv2.NonBodyParameter
type NonBodyParameter_HeaderParameterSubSchema = openapiv2.NonBodyParameter_HeaderParameterSubSchema
type NonBodyParameter_FormDataParameterSubSchema = openapiv2.NonBodyParameter_FormDataParameterSubSchema
type NonBodyParameter_QueryParameterSubSchema = openapiv2.NonBodyParameter_QueryParameterSubSchema
type NonBodyParameter_PathParameterSubSchema = openapiv2.NonBodyParameter_PathParameterSubSchema
type Oauth2AccessCodeSecurity = openapiv2.Oauth2AccessCodeSecurity
type Oauth2ApplicationSecurity = openapiv2.Oauth2ApplicationSecurity
type Oauth2ImplicitSecurity = openapiv2.Oauth2ImplicitSecurity
type Oauth2PasswordSecurity = openapiv2.Oauth2PasswordSecurity
type Oauth2Scopes = openapiv2.Oauth2Scopes
type Operation = openapiv2.Operation
type Parameter = openapiv2.Parameter
type Parameter_BodyParameter = openapiv2.Parameter_BodyParameter
type Parameter_NonBodyParameter = openapiv2.Parameter_NonBodyParameter
type ParameterDefinitions = openapiv2.ParameterDefinitions
type ParametersItem = openapiv2.ParametersItem
type ParametersItem_Parameter = openapiv2.ParametersItem_Parameter
type ParametersItem_JsonReference = openapiv2.ParametersItem_JsonReference
type PathItem = openapiv2.PathItem
type PathParameterSubSchema = openapiv2.PathParameterSubSchema
type Paths = openapiv2.Paths
type PrimitivesItems = openapiv2.PrimitivesItems
type Properties = openapiv2.Properties
type QueryParameterSubSchema = openapiv2.QueryParameterSubSchema
type Response = openapiv2.Response
type ResponseDefinitions = openapiv2.ResponseDefinitions
type ResponseValue = openapiv2.ResponseValue
type ResponseValue_Response = openapiv2.ResponseValue_Response
type ResponseValue_JsonReference = openapiv2.ResponseValue_JsonReference
type Responses = openapiv2.Responses
type Schema = openapiv2.Schema
type SchemaItem = openapiv2.SchemaItem
type SchemaItem_Schema = openapiv2.SchemaItem_Schema
type SchemaItem_FileSchema = openapiv2.SchemaItem_FileSchema
type SecurityDefinitions = openapiv2.SecurityDefinitions
type SecurityDefinitionsItem = openapiv2.SecurityDefinitionsItem
type SecurityDefinitionsItem_BasicAuthenticationSecurity = openapiv2.SecurityDefinitionsItem_BasicAuthenticationSecurity
type SecurityDefinitionsItem_ApiKeySecurity = openapiv2.SecurityDefinitionsItem_ApiKeySecurity
type SecurityDefinitionsItem_Oauth2ImplicitSecurity = openapiv2.SecurityDefinitionsItem_Oauth2ImplicitSecurity
type SecurityDefinitionsItem_Oauth2PasswordSecurity = openapiv2.SecurityDefinitionsItem_Oauth2PasswordSecurity
type SecurityDefinitionsItem_Oauth2ApplicationSecurity = openapiv2.SecurityDefinitionsItem_Oauth2ApplicationSecurity
type SecurityDefinitionsItem_Oauth2AccessCodeSecurity = openapiv2.SecurityDefinitionsItem_Oauth2AccessCodeSecurity
type SecurityRequirement = openapiv2.SecurityRequirement
type StringArray = openapiv2.StringArray
type Tag = openapiv2.Tag
type TypeItem = openapiv2.TypeItem
type VendorExtension = openapiv2.VendorExtension
type Xml = openapiv2.Xml

var File_openapiv2_OpenAPIv2_proto = openapiv2.File_openapiv2_OpenAPIv2_proto
