// Copyright 2020 Google LLC. All Rights Reserved.
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//    http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

package openapi_v3

import (
	openapiv3 "github.com/google/gnostic-models/openapiv3"
)

type AdditionalPropertiesItem = openapiv3.AdditionalPropertiesItem
type AdditionalPropertiesItem_SchemaOrReference = openapiv3.AdditionalPropertiesItem_SchemaOrReference
type AdditionalPropertiesItem_Boolean = openapiv3.AdditionalPropertiesItem_Boolean
type Any = openapiv3.Any
type AnyOrExpression = openapiv3.AnyOrExpression
type AnyOrExpression_Any = openapiv3.AnyOrExpression_Any
type AnyOrExpression_Expression = openapiv3.AnyOrExpression_Expression
type Callback = openapiv3.Callback
type CallbackOrReference = openapiv3.CallbackOrReference
type CallbackOrReference_Callback = openapiv3.CallbackOrReference_Callback
type CallbackOrReference_Reference = openapiv3.CallbackOrReference_Reference
type CallbacksOrReferences = openapiv3.CallbacksOrReferences
type Components = openapiv3.Components
type Contact = openapiv3.Contact
type DefaultType = openapiv3.DefaultType
type DefaultType_Number = openapiv3.DefaultType_Number
type DefaultType_Boolean = openapiv3.DefaultType_Boolean
type DefaultType_String_ = openapiv3.DefaultType_String_
type Discriminator = openapiv3.Discriminator
type Document = openapiv3.Document
type Encoding = openapiv3.Encoding
type Encodings = openapiv3.Encodings
type Example = openapiv3.Example
type ExampleOrReference = openapiv3.ExampleOrReference
type ExampleOrReference_Example = openapiv3.ExampleOrReference_Example
type ExampleOrReference_Reference = openapiv3.ExampleOrReference_Reference
type ExamplesOrReferences = openapiv3.ExamplesOrReferences
type Expression = openapiv3.Expression
type ExternalDocs = openapiv3.ExternalDocs
type Header = openapiv3.Header
type HeaderOrReference = openapiv3.HeaderOrReference
type HeaderOrReference_Header = openapiv3.HeaderOrReference_Header
type HeaderOrReference_Reference = openapiv3.HeaderOrReference_Reference
type HeadersOrReferences = openapiv3.HeadersOrReferences
type Info = openapiv3.Info
type ItemsItem = openapiv3.ItemsItem
type License = openapiv3.License
type Link = openapiv3.Link
type LinkOrReference = openapiv3.LinkOrReference
type LinkOrReference_Link = openapiv3.LinkOrReference_Link
type LinkOrReference_Reference = openapiv3.LinkOrReference_Reference
type LinksOrReferences = openapiv3.LinksOrReferences
type MediaType = openapiv3.MediaType
type MediaTypes = openapiv3.MediaTypes
type NamedAny = openapiv3.NamedAny
type NamedCallbackOrReference = openapiv3.NamedCallbackOrReference
type NamedEncoding = openapiv3.NamedEncoding
type NamedExampleOrReference = openapiv3.NamedExampleOrReference
type NamedHeaderOrReference = openapiv3.NamedHeaderOrReference
type NamedLinkOrReference = openapiv3.NamedLinkOrReference
type NamedMediaType = openapiv3.NamedMediaType
type NamedParameterOrReference = openapiv3.NamedParameterOrReference
type NamedPathItem = openapiv3.NamedPathItem
type NamedRequestBodyOrReference = openapiv3.NamedRequestBodyOrReference
type NamedResponseOrReference = openapiv3.NamedResponseOrReference
type NamedSchemaOrReference = openapiv3.NamedSchemaOrReference
type NamedSecuritySchemeOrReference = openapiv3.NamedSecuritySchemeOrReference
type NamedServerVariable = openapiv3.NamedServerVariable
type NamedString = openapiv3.NamedString
type NamedStringArray = openapiv3.NamedStringArray
type OauthFlow = openapiv3.OauthFlow
type OauthFlows = openapiv3.OauthFlows
type Object = openapiv3.Object
type Operation = openapiv3.Operation
type Parameter = openapiv3.Parameter
type ParameterOrReference = openapiv3.ParameterOrReference
type ParameterOrReference_Parameter = openapiv3.ParameterOrReference_Parameter
type ParameterOrReference_Reference = openapiv3.ParameterOrReference_Reference
type ParametersOrReferences = openapiv3.ParametersOrReferences
type PathItem = openapiv3.PathItem
type Paths = openapiv3.Paths
type Properties = openapiv3.Properties
type Reference = openapiv3.Reference
type RequestBodiesOrReferences = openapiv3.RequestBodiesOrReferences
type RequestBody = openapiv3.RequestBody
type RequestBodyOrReference = openapiv3.RequestBodyOrReference
type RequestBodyOrReference_RequestBody = openapiv3.RequestBodyOrReference_RequestBody
type RequestBodyOrReference_Reference = openapiv3.RequestBodyOrReference_Reference
type Response = openapiv3.Response
type ResponseOrReference = openapiv3.ResponseOrReference
type ResponseOrReference_Response = openapiv3.ResponseOrReference_Response
type ResponseOrReference_Reference = openapiv3.ResponseOrReference_Reference
type Responses = openapiv3.Responses
type ResponsesOrReferences = openapiv3.ResponsesOrReferences
type Schema = openapiv3.Schema
type SchemaOrReference = openapiv3.SchemaOrReference
type SchemaOrReference_Schema = openapiv3.SchemaOrReference_Schema
type SchemaOrReference_Reference = openapiv3.SchemaOrReference_Reference
type SchemasOrReferences = openapiv3.SchemasOrReferences
type SecurityRequirement = openapiv3.SecurityRequirement
type SecurityScheme = openapiv3.SecurityScheme
type SecuritySchemeOrReference = openapiv3.SecuritySchemeOrReference
type SecuritySchemeOrReference_SecurityScheme = openapiv3.SecuritySchemeOrReference_SecurityScheme
type SecuritySchemeOrReference_Reference = openapiv3.SecuritySchemeOrReference_Reference
type SecuritySchemesOrReferences = openapiv3.SecuritySchemesOrReferences
type Server = openapiv3.Server
type ServerVariable = openapiv3.ServerVariable
type ServerVariables = openapiv3.ServerVariables
type SpecificationExtension = openapiv3.SpecificationExtension
type SpecificationExtension_Number = openapiv3.SpecificationExtension_Number
type SpecificationExtension_Boolean = openapiv3.SpecificationExtension_Boolean
type SpecificationExtension_String_ = openapiv3.SpecificationExtension_String_
type StringArray = openapiv3.StringArray
type Strings = openapiv3.Strings
type Tag = openapiv3.Tag
type Xml = openapiv3.Xml

var File_openapiv3_OpenAPIv3_proto = openapiv3.File_openapiv3_OpenAPIv3_proto
